请选择 进入手机版 | 继续访问电脑版

唐康林NX二次开发论坛

 找回密码
 立即注册
查看: 624|回复: 0

[技术分享] Pro/E,Creo二次开发软件版本与VS版本的对应关系

[复制链接]

3

主题

3

帖子

40

积分

终身VIP会员

Rank: 6Rank: 6

积分
40
发表于 2017-11-14 19:37:39 | 显示全部楼层 |阅读模式
本帖最后由 cold_arse 于 2017-11-14 20:47 编辑

Pro/E,Creo二次开发软件版本与VS版本存在一定的对应关系,如果两者不对应将出现编译、链接等错误,无法生成插件dll。本人在开发过程中总结有以下对应规则:
1.Pro/E 4.0二次开发需要VS2005(V80 C++库);
2.Pro/E 5.0二次开发需要VS2008(V90 C++库);
3.Creo2.0二次开发需要VS2010(V100 C++库);
4.Creo3.0二次开发需要VS2012(V110 C++库);
5.以上说法并不绝对,当同时安装了低版本和高版本VS时,可以在高版本VS上开发低版本的Pro/E,Creo:
例如同时安装了VS2008和VS2010,你可以使用VS2010来开发Pro/E 5.0,但需要在C++项目属性->平台工具集那选择v90,如下图
QQ截图20171114204121.png
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋| ( 蜀ICP备16014681号

GMT+8, 2018-8-18 10:11 , Processed in 0.086756 second(s), 25 queries .

Powered by www.nxopen.cn

© 2001-2013 nxopen.cn

快速回复 返回顶部 返回列表